/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C component implementation
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 *
 * @author Bryan Aupperle
 *
 */

#include "Service5.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

int repeatCount = 3;

char *operation1(const char *input) {
	SCAREF callbackRef;
   	int compCode, reason, size = 50, num_values = 1, i;
	char *pServiceName = serviceName, callbackResult[255] = "", response1[25], *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	SCAGetCallback(L"", &callbackRef, &compCode, &reason);
	for (i = 0; i < repeatCount; i++) {
		size = 25;
		SCAInvoke(callbackRef, L"callback1", strlen(input), (void *)input,
	              &size, (void *)response1, &compCode, &reason);
		strcat(callbackResult, response1);
	}

	SCAReleaseCallback(callbackRef, &compCode, &reason);
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");
	strcat(result, callbackResult);
	return result;
};
