/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12007_TestCase
 * Tests that where a contribution contains multiple <import/> declarations which refer to the 
 * namespace of a referenced artifact, that the artifact is found by searching target locations 
 * in the order in which the <import/> statements occur in the <contribution/> document
 */
public class ASM_12007_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 3 contributions - with one artifact imported from the first one existing as conflicting versions
    	// in each of the other 2 contributions
    	config.contributionNames	= new String[] { "ASM_12007", "Contribution1", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12007
