/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_5006_TestCase, which checks that the @name attribute of a <service/>
 * element of a <component/> matches the @name attribute of a <service/> element of the
 * componentType of the <implementation/> used by the <component/>
 */
public class ASM_5006_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5006
