/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Client for ASM_5044_TestCase
 * Tests that where a component <property/> element which is multi valued and with a complex XML type 
 * has a @file attribute which references a file tat has one <sca:values/> element containing two global elements 
 * of the type of the property, that the values from the global elements do set the property values used by the component
 */
public class ASM_5044_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_5044";
    	config.input 			= "request";
    	config.output[0] 		= "ASM_5044 request service1 operation1 invokedSample first dataAlternate second data" ;
    	config.composite 		= "Test_ASM_5044.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5044
