/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_9004_TestCase
 * Tests that if a <binding/> element of a <reference/> element is wired to a <service/> element 
 * which has multiple <binding/> subelements, each with a @name attribute set, that the @target 
 * attribute of the <reference/> uses the form "componentName/serviceName/bindingName" to select one 
 * specific binding for the wire
 */
public class ASM_9004_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + 
    							  " service1 operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_9004
